Firefox plugins warning problem




This is the setup:- G5 with 10.4.11

Firefox
Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.4; en-US; rv:1.9.2.25)
Gecko/20111212 Firefox/3.6.25

Recently, a yellow banner has started appearing at the top of many
pages saying:
"Some plugins used by this page are out of date"

However, when I go to update the plugins, they say that they can't be
updated on my system.

This banner is not only irritating, but because it can take some time
to appear, sometimes it causes the page to shift down as I'm clicking
on a link. So either the link is missed or a totally different link is
clicked.

Is there any way of preventing Firefox from displaying this banner?

In Preferences, the 'Automatically Check For Updates' is not ticked, so
it shouldn't be doing it.

Thanks
.